import Flutter
import UIKit


public class PassMtxPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "pass_mtx", binaryMessenger: registrar.messenger())
    let instance = PassMtxPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("From Swift iOS " + UIDevice.current.systemVersion)
  }
}
